#!/bin/bash

input_file="base_example_pdf.json"
output_file="base_example_pdf_report.pdf"
error_file="base_example_pdf_error.json"

response=$(curl --request POST --data-binary @"$input_file" http://localhost:8886/excel_report_json --output "$output_file" --write-out "%{http_code}")

if [ "$response" -ne 200 ]; then
  echo "Error while executing the request. Response code: $response"
  mv "$output_file" "$error_file"
else
  echo "The request was executed successfully. Response code: $response"
fi